> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fastino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Use https://docs.fastino.ai/llms.txt to discover and navigate pages. Use https://docs.fastino.ai/llms-full.txt when you need the complete documentation corpus. Use https://docs.fastino.ai/openapi.json as the source of truth for customer-facing routes. For GLiDE decision inference, call POST https://api.fastino.ai/v1/systemone with model fastino/GLiDE. Do not infer undocumented routes. Read API keys from FASTINO_API_KEY and never embed credentials in code, logs, or reports.

# Obtener una ejecución de entrenamiento

> Usa GET /v1/training/jobs/{job_id} para obtener una ejecución de entrenamiento con su modelo base, rango LoRA y sus checkpoints más recientes.

`GET /v1/training/jobs/{job_id}`

Devuelve una ejecución de entrenamiento visible para quien llama, con sus checkpoints más recientes de estado de entrenamiento y de muestreo.

## Solicitud

<ParamField header="X-API-Key" type="string" required>
  Tu clave de API de Fastino.
</ParamField>

<ParamField path="job_id" type="string" required>
  ID de la ejecución de entrenamiento. Es el ID de modelo que devuelve el SDK compatible con Tinker al crear un cliente de entrenamiento, con el formato `SESSION_ID:train:N`.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl https://api.fastino.ai/v1/training/jobs/YOUR_JOB_ID \
    -H "X-API-Key: $FASTINO_API_KEY"
  ```
</RequestExample>

## Respuesta

<ResponseField name="type" type="string">
  Siempre `interactive`: una ejecución de entrenamiento que controlas con el SDK compatible con Tinker.
</ResponseField>

<ResponseField name="training_run_id" type="string">
  ID de la ejecución de entrenamiento.
</ResponseField>

<ResponseField name="base_model" type="string">
  Modelo base que entrena la ejecución.
</ResponseField>

<ResponseField name="model_owner" type="string">
  ID del equipo propietario de la ejecución.
</ResponseField>

<ResponseField name="is_lora" type="boolean">
  Indica si la ejecución entrena un adaptador LoRA.
</ResponseField>

<ResponseField name="corrupted" type="boolean">
  Indica si el estado de entrenamiento de la ejecución es inutilizable y ya no admite pasos de entrenamiento.
</ResponseField>

<ResponseField name="lora_rank" type="integer | null">
  Rango LoRA, cuando la ejecución entrena un adaptador LoRA.
</ResponseField>

<ResponseField name="last_request_time" type="string">
  Marca de tiempo ISO 8601 de la solicitud más reciente del SDK para la ejecución.
</ResponseField>

<ResponseField name="last_checkpoint" type="object | null">
  Checkpoint de estado de entrenamiento más reciente, o `null`. Los campos del checkpoint se describen en [Listar checkpoints de una ejecución](/es/api-reference/training-runs/list-checkpoints).
</ResponseField>

<ResponseField name="last_sampler_checkpoint" type="object | null">
  Checkpoint de pesos de muestreo más reciente, o `null`.
</ResponseField>

<ResponseField name="user_metadata" type="object | null">
  Metadatos clave-valor de tipo cadena adjuntados al crear la ejecución.
</ResponseField>

<ResponseExample>
  ```json Response theme={null}
  {
    "type": "interactive",
    "training_run_id": "YOUR_SESSION_ID:train:0",
    "base_model": "Qwen/Qwen3.6-35B-A3B",
    "model_owner": "YOUR_TEAM_ID",
    "is_lora": true,
    "corrupted": false,
    "lora_rank": 32,
    "last_request_time": "2026-10-09T18:42:10Z",
    "last_checkpoint": {
      "checkpoint_id": "weights/step-100",
      "checkpoint_type": "training",
      "time": "2026-10-09T18:40:00Z",
      "tinker_path": "tinker://YOUR_SESSION_ID:train:0/weights/step-100",
      "size_bytes": 503316480,
      "public": false,
      "user_metadata": null,
      "expires_at": null
    },
    "last_sampler_checkpoint": {
      "checkpoint_id": "sampler_weights/step-100",
      "checkpoint_type": "sampler",
      "time": "2026-10-09T18:40:02Z",
      "tinker_path": "tinker://YOUR_SESSION_ID:train:0/sampler_weights/step-100",
      "size_bytes": 167772160,
      "public": false,
      "user_metadata": null,
      "expires_at": null
    },
    "user_metadata": {"experiment": "baseline"}
  }
  ```
</ResponseExample>

Una ejecución desconocida o que no puedes ver devuelve `404`.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.